Versions

J’hésite un peu !

Il reste un ticket à coder/fermer pour la 2.13, concernant la sécurité de la gestion des mots de passe, et je serai en mesure de la livrer. La 2.12.2 comporte quelques corrections, pas franchement bloquantes, ça tient souvent plus du cosmétique qu’autre chose.

Je peux donc :

  1. Coder ce qui reste pour la 2.13 et livrer l’ensemble, sachant que ça implique un petit délai (quelques jours à quelques semaines), le temps du développement et des tests correspondants — d’ailleurs je compte sur vous pour ces derniers —, et que vous serez obligés pour l’installer d’utiliser PHP 5.5 ou supérieur.
  2. Sinon livrer la 2.12.2 telle qu’elle est aujourd’hui et remettre la 2.13 à sine die, genre vers l’été.

L’intérêt de la 2.13 est qu’elle est franchement moins dépendante de l’état courant du serveur Dotclear, qui connait des hauts et des bas, surtout des bas, en ce sens que les infos récupérées sur ce serveur pour renseigner le tableau de bord de l’administration le sont désormais en mode asynchrone, ce qui fait que même si le serveur est HS l’usage de votre blog reste complet et immédiat.

En gros, combien parmi vous ne peuvent pas se permettre de basculer sous PHP 5.5 et supérieur et devront alors rester avec la branche 2.12 actuelle ?

Ajouter un commentaire

Les commentaires peuvent être formatés en utilisant une syntaxe wiki simplifiée.

Ajouter un rétrolien

URL de rétrolien : https://open-time.net/trackback/13595

Haut de page